// GAI_Player2.cpp: implementation of the GAI_Player2 class.
//
//////////////////////////////////////////////////////////////////////

#include "ph.h"
#include "GAI_Player2.h"
#include "GActiveObject.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GAI_Player2::GAI_Player2(GEngine *engine, GActiveObject *object):
GAI(engine, object)
{

}

GAI_Player2::~GAI_Player2()
{

}

void GAI_Player2::Move()
{
	if (!m_object) return;

	Uint8 *keystate = SDL_GetKeyState(NULL);

	m_object->m_up     = keystate[SDLK_w] != 0;
	m_object->m_down   = keystate[SDLK_s] != 0;
	m_object->m_left   = keystate[SDLK_a] != 0;
	m_object->m_right  = keystate[SDLK_d] != 0;
	m_object->m_action = keystate[SDLK_LCTRL] != 0;
}
